CREATE TABLE REZERVAC_GROUP (
ID NUMBER NOT NULL,
DATE_FROM DATE NOT NULL,
DATE_TO DATE NOT NULL,
ID_PAYER NUMBER,
ID_PRIVEZ NUMBER,
STATUS NUMBER,
CONSTRAINT REZERVAC_GROUP_PK PRIMARY KEY(ID));

CREATE SEQUENCE REZERVAC_GROUP_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE REZERVAC_GROUP_DETAIL (
	ID NUMBER NOT NULL,
	ID_REZERVAC_GROUP NUMBER NOT NULL,
	ID_REZERVAC NUMBER NOT NULL,
	CONSTRAINT RGD_REZERVAC_GROUP_FK FOREIGN KEY (ID_REZERVAC_GROUP) REFERENCES REZERVAC_GROUP(ID),
	CONSTRAINT RGD_REZERVAC_FK FOREIGN KEY (ID_REZERVAC) REFERENCES REZERVAC(ID),
	CONSTRAINT REZERVAC_GROUP_DETAIL_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE REZERVAC_GROUP_DETAIL_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (947, SYSDATE, '5.5', 867, 'Skupine rezervacij');