CREATE INDEX IX_S_OBRACUN2 
ON S_OBRACUN(ID_PROMET)
;

CREATE TABLE NNGRUSTO1 (
NGROUP1 VARCHAR2(10 CHAR) NOT NULL,
DESCRIPTION VARCHAR2(200 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(200 CHAR),
ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y' NOT NULL,
NGROUP2 VARCHAR2(10 CHAR),
CONSTRAINT PK_NNGRUSTO1 PRIMARY KEY(NGROUP1)
)
;

CREATE TABLE NNGRUSTO2 (
NGROUP2 VARCHAR2(10 CHAR) NOT NULL,
DESCRIPTION VARCHAR2(200 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(200 CHAR),
ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y' NOT NULL,
CONSTRAINT PK_NNGRUSTO2 PRIMARY KEY(NGROUP2)
)
;

ALTER TABLE NNGRUSTO
ADD NGROUP1 VARCHAR2(10 CHAR)
;

ALTER TABLE NNGRUSTO
ADD ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y' NOT NULL
;

CREATE OR REPLACE VIEW V_NNGRUSTO AS 
SELECT N.*, N1.DESCRIPTION AS GROUP1 FROM NNGRUSTO N 
LEFT OUTER JOIN NNGRUSTO1 N1 ON N.NGROUP1=N1.NGROUP1
;

CREATE OR REPLACE VIEW V_NNGRUSTO1 AS 
SELECT N1.*, N2.DESCRIPTION AS GROUP2 FROM NNGRUSTO1 N1 
LEFT OUTER JOIN NNGRUSTO2 N2 ON N2.NGROUP2=N1.NGROUP2
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1816, SYSDATE, '5.5', 1736, 'NNGRUSTO')
;
